Skip to main content
`Ctrl`+`K`

# DMProductSetDM

Set sub-`DM` associated with a given slot of `DMPRODUCT`

## Synopsis

    #include "petsc/private/dmproductimpl.h"
    PetscErrorCode DMProductSetDM(DM dm, PetscInt slot, DM subdm)

Not Collective

## Input Parameters

- dm - the `DMPRODUCT`

- slot - which dimension slot, in the range 0 to dim-1

- subdm - the sub-`DM`

## Note

This function does not destroy the provided sub-`DM`. You may safely destroy it after calling this function.

## See Also

`DMPRODUCT`, `DMProductGetDM()`, `DMProductSetDimensionIndex()`

## Level

advanced

## Location

src/dm/impls/product/productutils.c

Index of all DMPRODUCT routines
Table of Contents for all manual pages
Index of all manual pages